generateExprVal.method.pdnn {affypdnn} | R Documentation

## Compute PM correction and summary expression value

### Description

Computes PM correction and summary expression value with PDNN method.

### Usage

    pmcorrect.pdnn(object, params, gene=NULL, gene.i=NULL,
                   params.chiptype=NULL, outlierlim=3, callingFromExpresso=FALSE)
    pmcorrect.pdnnpredict(object, params, gene=NULL, gene.i=NULL,
                   params.chiptype=NULL, outlierlim=3, callingFromExpresso=FALSE)
    generateExprVal.method.pdnn(probes, params)

### Arguments

`object` | object of `ProbeSet`.
`probes` | matrix of PM-corrected signals (should be coming out of `pmcorrect.pdnn`).
`params` | experiments specific parameters.
`gene` | gene (probe set) ID (from wich the `gene.i` would be derived).
`gene.i` | gene index (see details).
`params.chiptype` | chip-specific parameters.
`outlierlim` | threshold for tagging a probe as an outlier.
`callingFromExpresso` | is the function called through expresso. DO NOT play with that.

### Details

Only one of `gene`, `gene.i` should be specified. For most the users, this is `gene`. `pmcorrect.pdnn` and `pmcorrect.pdnnpredict` return what is called GSB and GSB + NSB + B in the paper by Zhang Li and collaborators.

### Value

`pmcorrect.pdnn` and `pmcorrect.pdnnpredict` return a matrix (one row per probe, one column per chip) with attributes attached. `generateExprVal` returns a `list`:

`exprs` | expression values
`se.exprs` | se expr. val.

### See Also

`pdnn.params.chiptype`

### Examples

    data(hgu95av2.pdnn.params)
    library(affydata)
    data(Dilution)

    ## only one CEL to go faster
    abatch <- Dilution[, 1]

    ## get the chip specific parameters
    params <- find.params.pdnn(abatch, hgu95av2.pdnn.params)

    ## The thrill part: do we get like in the Figure 1-a of the reference ?
    par(mfrow=c(2,2))
    ##ppset.name <- sample(featureNames(abatch), 2)
    ppset.name <- c("41206_r_at", "31620_at")
    ppset <- probeset(abatch, ppset.name)
    for (i in 1:2) {
      ##ppset[[i]] <- transform(ppset[[i]], fun=log) # take the log as they do
      probes.pdnn <- pmcorrect.pdnnpredict(ppset[[i]], params,
                                           params.chiptype=hgu95av2.pdnn.params)
      ##probes.pdnn <- log(probes.pdnn)
      plot(ppset[[i]], main=paste(ppset.name[i], "\n(raw intensities)"))
      matplotProbesPDNN(probes.pdnn, main=paste(ppset.name[i], "\n(predicted intensities)"))
    }

    ## pick the 50 first probeset IDs
    ## (to go faster)
    ids <- featureNames(abatch)[1:100]

    ## compute the expression set (object of class 'ExpressionSet')
    eset <- computeExprSet(abatch, pmcorrect.method="pdnn",
                           summary.method="pdnn", ids=ids,
                           summary.param = list(params, params.chiptype=hgu95av2.pdnn.params))

[Package affypdnn version 1.16.0 Index]